%define mainver 2.40
%define rc_ver 0
%define rel 2

%if %{rc_ver}
%define release %mkrel 1.rc%{rc_ver}.%{rel}
%define tarname %{name}-%{version}-rc%{rc_ver}
%define distname %{tarname}
%else
%define release %mkrel %{rel}
%define tarname %{name}-%{version}
%define distname %{tarname}
%endif

%global __requires_exclude_from %{_docdir}

%define lib_blkid_major 1
%define lib_blkid %mklibname blkid %{lib_blkid_major}
%define lib_blkid_devel %mklibname blkid -d

%define lib_uuid_major 1
%define lib_uuid %mklibname uuid %{lib_uuid_major}
%define lib_uuid_devel %mklibname uuid -d

%define lib_ext2fs %mklibname ext2fs 2
%define lib_ext2fs_devel %mklibname ext2fs -d

%define lib_mount_major 1
%define lib_mount %mklibname mount %{lib_mount_major}
%define lib_mount_devel %mklibname mount -d

%define lib_smartcols_major 1
%define lib_smartcols %mklibname smartcols %{lib_smartcols_major}
%define lib_smartcols_devel %mklibname smartcols -d

%define lib_fdisk_major 1
%define lib_fdisk %mklibname fdisk %{lib_fdisk_major}
%define lib_fdisk_devel %mklibname fdisk -d

%define git_url git://git.kernel.org/pub/scm/utils/util-linux/util-linux.git

%bcond_without  e2fsprogs

%define mtab_symlink 1

### Header
Summary:	A collection of basic system utilities
Name:		util-linux
Version:	2.40.4
Release:	%{release}
License:	GPLv2 and GPLv2+ and LGPLv2+ and BSD with advertising and Public Domain
Group:		System/Base
URL:		https://en.wikipedia.org/wiki/Util-linux

### Macros
%define no_hwclock_archs s390 s390x

### Dependencies
BuildRequires:	gcc >= 5.2.1
BuildRequires:	po4a
BuildRequires:	sed
%if %{with e2fsprogs}
BuildRequires:	e2fsprogs-devel >= 1.41.6-2
%endif
BuildRequires:	pkgconfig(libsystemd) >= 216
BuildRequires:	pkgconfig(libudev)
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	utempter-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(readline)
BuildRequires:	termcap-devel
BuildRequires:	texinfo
BuildRequires:	slang-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(audit)
BuildRequires:	pkgconfig(libcap-ng)
BuildRequires:	pkgconfig(libcryptsetup)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libeconf)
BuildRequires:	pkgconfig(libmagic)
BuildRequires:	pkgconfig(libpcre2-posix)
BuildRequires:	pkgconfig(libuser)
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	ruby-asciidoctor

### Sources
Source0:	https://www.kernel.org/pub/linux/utils/%{name}/v%{mainver}/%{tarname}.tar.xz
# based on Fedora pam files, with pam_selinux stripped out
Source1:	util-linux-login.pamd
Source2:	util-linux-remote.pamd
Source3:	util-linux-chsh-chfn.pamd
Source5:	adjtime
Source12:	util-linux-su.pamd
Source13:	util-linux-su-l.pamd
Source14:	util-linux-runuser.pamd
Source15:	util-linux-runuser-l.pamd

### Obsoletes & Conflicts & Provides
# fork and rename from util-linux to util-linux-ng
Provides:	util-linux-ng = %{version}-%{release}
# eject used to be a separate package. 2.1.5 was the last released version,
# eject was merged into util-linux 2.22, so our version is guaranteed to
# be bigger than the last eject's
Provides:	eject = %{version}-%{release}

# rfkill is now part of util-linux
Provides:	rfkill
# hardlink is now part of util-linux
Provides:	hardlink

# conflicts on older sysvinit-legacy-tools due to sulogin, utmpdump, mountpoint, last, lastb, mesg and others move:
Conflicts:	sysvinit-legacy-tools < 2.87-23

# due to kill.1 conflicts
Conflicts:	procps-ng < 4.0.4-3
Conflicts:	man-pages-de < 4.23.0
Conflicts:	man-pages-uk < 4.23.0

Requires:	pam >= 0.66-4
Requires:	shadow-utils >= 2:4.1.5

Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_mount} = %{version}-%{release}
Requires:	%{lib_uuid} = %{version}-%{release}
Requires:	%{lib_smartcols} = %{version}-%{release}
Requires:	udev

### upstream fixes:

### Ready for upstream?
###

# 151635 - makeing /var/log/lastlog
Patch1000:	2.28-login-lastlog-create.patch

# Added r & w options to chfn (lsb mandate)
Patch1202:	util-linux-2.39-chfn-lsb-usergroups.patch

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux contains the fdisk configuration tool and the login
program.

%package -n	%{lib_blkid}
Summary:	Block device ID library
Group:		System/Libraries
License:	LGPLv2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_blkid}
This is block device identification library, part of util-linux.

%package -n	%{lib_blkid_devel}
Summary:	Block device ID library
Group:		Development/C
License:	LGPLv2+
Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_uuid_devel} = %{version}
Provides:	libblkid-devel = %{version}-%{release}

%description -n	%{lib_blkid_devel}
This is the block device identification development library and headers,
part of util-linux.

%package -n	%{lib_uuid}
Summary:	Universally unique ID library
Group:		System/Libraries
License:	BSD
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_uuid}
This is the universally unique ID library, part of util-linux.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	%{lib_uuid_devel}
Summary:	Universally unique ID library
Group:		Development/C
License:	BSD
Requires:	%{lib_uuid} = %{version}
Provides:	libuuid-devel = %{version}-%{release}
Provides:	uuid-devel = %{version}-%{release}
Conflicts:	ossp_uuid-devel < 1.6.2-23

%description -n	%{lib_uuid_devel}
This is the universally unique ID development library and headers,
part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	uuidd
Summary:	Helper daemon to guarantee uniqueness of time-based UUIDs
Group:		System/Servers
License:	GPLv2
Requires(post):   systemd-units >= %{systemd_required_version}
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper
Requires(pre):	shadow-utils

%description -n	uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.

%package -n	python3-libmount
Summary:	Python bindings for the libmount library
Group:		Development/Python
%{?python_provide:%python_provide python3-libmount}
License:	LGPLv2+

%description -n	python3-libmount
The python3-libmount package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libmount library to work with mount tables (fstab,
mountinfo, etc) and mount filesystems.

%package -n	%{lib_mount}
Summary:	Universal mount library
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_mount}
The libmount library is used to parse /etc/fstab,
/etc/mtab and /proc/self/mountinfo files,
manage the mtab file, evaluate mount options, etc.

%package -n	%{lib_mount_devel}
Summary:	Universal mount library development sources
Group:		Development/C
License:	LGPL2+
Requires:	%{lib_mount} = %{version}-%{release}
Provides:	libmount-devel = %{version}-%{release}

%description -n	%{lib_mount_devel}
Development files and headers for libmount library.

%package -n	%{lib_smartcols}
Summary:	Formatting library for ls-like programs
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_smartcols}
The libsmartcols library is used to format output,
for ls-like terminal programs.

%package -n	%{lib_smartcols_devel}
Summary:	Formatting library for ls-like programs development sources
Group:		Development/C
License:	LGPL2+
Requires:	%{lib_smartcols} = %{version}-%{release}
Provides:	libsmartcols-devel = %{version}-%{release}

%description -n	%{lib_smartcols_devel}
Development files and headers for libsmartcols library.

%package -n	%{lib_fdisk}
Summary:	Disk partitioning library
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_fdisk}
The libfdisk library is used to parse create and manage disk partitions.

%package -n	%{lib_fdisk_devel}
Summary:	Disk partitioning library development sources
Group:		Development/C
License:	LGPL2+
Requires:	%{lib_fdisk} = %{version}-%{release}
Provides:	libfdisk-devel = %{version}-%{release}

%description -n	%{lib_fdisk_devel}
Development files and headers for libfdisk library.


%prep
%autosetup -p1 -n %{distname}

%build
# rebuild build system for loop-AES patch
./autogen.sh

%serverbuild
unset LINGUAS || :

export CFLAGS="%{optflags} -Os"
export CPPFLAGS="-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%configure \
	--disable-static \
	--enable-partx \
	--enable-kill \
	--disable-bfs \
	--disable-makeinstall-chown \
	--disable-rpath \
	--disable-pg \
	--disable-liblastlog2 \
	--enable-chfn-chsh \
	--enable-usrdir-path \
	--enable-write \
	--enable-hardlink \
	--enable-fdformat \
	--enable-asciidoc \
	--with-systemd \
	--with-udev \
	--with-audit \
	--with-cryptsetup \
	--enable-tunelp \
	--with-python=3

# build util-linux
%make_build PYTHON_LIBS=-lpython%{python3_version}
%if 0
#define _disable_ld_no_undefined 1
%meson -D build-partx=enabled \
       -D build-kill=enabled \
       -D build-bfs=disabled \
       -D build-pg=disabled \
       -D build-liblastlog2=disabled \
       -D build-pam-lastlog2=disabled \
       -D build-chfn-chsh=enabled \
       -D build-write=enabled \
       -D build-hardlink=enabled \
       -D build-fdformat=enabled \
       -D systemd=enabled \
       -D audit=enabled \
       -D build-tunelp=enabled \
       -D ncurses=disabled \
       -D econf=disabled
%meson_build
%endif

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_mandir}/man{1,6,8,5}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,security/console.apps,blkid}

# install util-linux
%make_install

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' %{buildroot}%{_mandir}/man1/login.1

%ifarch %{sunsparc}
rm -rf %{buildroot}%{_bindir}/sunhostid
cat << E-O-F > %{buildroot}%{_bindir}/sunhostid
#!/bin/sh
# this should be _bindir/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 %{buildroot}%{_bindir}/sunhostid
%endif

# PAM settings
{
  pushd %{buildroot}%{_sysconfdir}/pam.d
  install -m 644 %{SOURCE1} ./login
  install -m 644 %{SOURCE2} ./remote
  install -m 644 %{SOURCE3} ./chsh
  install -m 644 %{SOURCE3} ./chfn
  install -m 644 %{SOURCE12} ./su
  install -m 644 %{SOURCE13} ./su-l
  install -m 644 %{SOURCE14} ./runuser
  install -m 644 %{SOURCE15} ./runuser-l
  popd
}

ln -sf hwclock %{buildroot}%{_sbindir}/clock

ln -sf %{_sbindir}/rfkill %{buildroot}%{_bindir}/rfkill

# And a dirs uuidd needs that the makefiles don't create
install -d %{buildroot}%{_rundir}/uuidd
install -d %{buildroot}/var/lib/libuuid

# /etc/adjtime
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/adjtime

# remove libtool archives
find %{buildroot}%{_libdir} -name "*.la" -delete

# Final cleanup
%ifarch %no_hwclock_archs
rm -f %{buildroot}%{_sbindir}/{hwclock,clock} %{buildroot}%{_mandir}/man8/hwclock.8*
%endif
%ifarch s390 s390x
rm -f %{buildroot}{%{_bindir},%{_sbindir}}/{fdformat,tunelp,floppy} %{buildroot}%{_mandir}/man8/{fdformat,tunelp,floppy}.8*
%endif

%if %{mtab_symlink}
	ln -s /proc/mounts %{buildroot}/etc/mtab
%else
	touch %{buildroot}/etc/mtab
%endif

# remove vipw and vigr, they belong in shadow-utils
rm -f %{buildroot}%{_sbindir}/{vipw,vigr} %{buildroot}%{_mandir}/man8/{vigr,vipw}.*

# temporary remove to avoid conflicts with bash-completion pkg
rm -f %{buildroot}%{_datadir}/bash-completion/completions/{mount,umount}

# remove unvanted translations (conflicts with shadow-utils)
rm -f %{buildroot}%{_mandir}/*/man1/newgrp.*
rm -f %{buildroot}%{_mandir}/*/man8/vigr.*
rm -f %{buildroot}%{_mandir}/*/man8/vipw.*

# find MO files
%find_lang %name --all-name --with-man

# the files section supports only one -f option...
mv %{name}.lang %{name}.files

# create list of setarch(8) symlinks
find  %{buildroot}%{_bindir}/ -regextype posix-egrep -type l \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)$" \
	-printf "%{_bindir}/%f\n" >> %{name}.files

find  %{buildroot}%{_mandir}/man8 -regextype posix-egrep  \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)\.8.*" \
	-printf "%{_mandir}/man8/%f*\n" >> %{name}.files

%post
%systemd_post fstrim.timer
%if %{mtab_symlink}
rm -f /etc/mtab
ln -s /proc/mounts /etc/mtab
%else
touch /etc/mtab
/bin/chown root:root /etc/mtab
/bin/chmod 0644 /etc/mtab
%endif

%preun
%systemd_preun fstrim.timer

%post -n %{lib_blkid}
[ -e /etc/blkid.tab ] && mv /etc/blkid.tab /etc/blkid/blkid.tab || :
[ -e /etc/blkid.tab.old ] && mv /etc/blkid.tab.old /etc/blkid/blkid.tab.old || :

%pre -n uuidd
%_pre_useradd uuidd /var/lib/libuuid /bin/false

%post -n uuidd
%_tmpfilescreate uuidd-tmpfiles
%_post_service uuidd

%preun -n uuidd
%_preun_service uuidd

%postun -n uuidd
%_postun_userdel uuidd

%files -f %{name}.files
%doc Documentation/releases/*-ReleaseNotes
%doc misc-utils/getopt-*.{bash,tcsh}
%{_bindir}/dmesg
%attr(755,root,root)	%{_bindir}/login
%{_bindir}/choom
%{_bindir}/enosys
%{_bindir}/exch
%{_bindir}/fadvise
%{_bindir}/findmnt
%{_bindir}/ionice
%{_bindir}/irqtop
%{_bindir}/kill
%{_bindir}/last
%{_bindir}/lastb
%{_bindir}/lsblk
%{_bindir}/lsclocks
%{_bindir}/lsipc
%{_bindir}/lsirq
%{_bindir}/mesg
%{_bindir}/mountpoint
%{_bindir}/more
%{_bindir}/nsenter
%{_bindir}/pipesz
%{_bindir}/setpriv
%{_bindir}/setpgid
%{_bindir}/rfkill
%attr(4755,root,root)	%{_bindir}/su
%{_bindir}/taskset
%{_bindir}/uuidparse
%{_bindir}/uclampset
%{_bindir}/waitpid
%attr(2555,root,tty) %{_bindir}/wall
%{_bindir}/wdctl
%config(noreplace) %{_sysconfdir}/pam.d/chfn
%config(noreplace) %{_sysconfdir}/pam.d/chsh
%config(noreplace) %{_sysconfdir}/pam.d/login
%config(noreplace) %{_sysconfdir}/pam.d/remote
%config(noreplace) %{_sysconfdir}/pam.d/su
%config(noreplace) %{_sysconfdir}/pam.d/su-l
%config(noreplace) %{_sysconfdir}/pam.d/runuser
%config(noreplace) %{_sysconfdir}/pam.d/runuser-l
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/adjtime
%{_sbindir}/agetty
%{_sbindir}/addpart
%{_sbindir}/blkdiscard
%{_sbindir}/blkid
%{_sbindir}/blkpr
%{_sbindir}/blockdev
%{_sbindir}/chcpu
%{_sbindir}/ctrlaltdel
%{_sbindir}/delpart
%{_sbindir}/fsfreeze
%{_sbindir}/fstrim
%{_sbindir}/partx
%{_sbindir}/pivot_root
%{_sbindir}/rfkill
%{_sbindir}/runuser
%{_sbindir}/swaplabel
%{_sbindir}/zramctl
%{_mandir}/man1/choom.1*
%{_mandir}/man1/enosys.1*
%{_mandir}/man1/exch.1*
%{_mandir}/man1/irqtop.1*
%{_mandir}/man1/last.1*
%{_mandir}/man1/lastb.1*
%{_mandir}/man1/lsclocks.1*
%{_mandir}/man1/lsipc.1*
%{_mandir}/man1/lsirq.1*
%{_mandir}/man1/mesg.1*
%{_mandir}/man1/mountpoint.1*
%{_mandir}/man1/nsenter.1*
%{_mandir}/man1/setpgid.1*
%{_mandir}/man1/setpriv.1*
%{_mandir}/man1/uuidparse.1.*
%{_mandir}/man1/uclampset.1.*
%{_mandir}/man1/wall.1*
%{_mandir}/man8/agetty.8*
%{_mandir}/man8/addpart.8*
%{_mandir}/man8/delpart.8*
%{_mandir}/man8/findmnt.8*
%{_mandir}/man8/fsfreeze.8*
%{_mandir}/man8/fstrim.8*
%{_mandir}/man8/lsblk.8*
%{_mandir}/man8/partx.8*
%{_mandir}/man8/rfkill.8.*
%{_mandir}/man8/swaplabel.8*
%{_mandir}/man8/zramctl.8*
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc} %mips %arm aarch64
%{_sbindir}/sfdisk
%{_mandir}/man8/sfdisk.8*
%{_sbindir}/cfdisk
%{_mandir}/man8/cfdisk.8*
%endif
%{_sbindir}/fdisk
%{_mandir}/man8/fdisk.8*
%ifnarch %no_hwclock_archs
%{_sbindir}/clock
%{_sbindir}/hwclock
%{_mandir}/man8/hwclock.8*
%endif
%{_sbindir}/findfs
%{_sbindir}/fsck
%{_sbindir}/mkfs
%{_sbindir}/mkswap
%{_sbindir}/nologin
%{_sbindir}/sulogin
%{_mandir}/man8/nologin.8*
%{_bindir}/chrt
%{_bindir}/cal
%attr(4711,root,root)	%{_bindir}/chfn
%attr(4711,root,root)	%{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%ifarch %ix86 alpha ppc ppc64 %{sunsparc} x86_64 %mips %arm aarch64
%{_bindir}/prlimit
%endif
%{_bindir}/eject
%ifnarch s390 s390x
%{_sbindir}/fdformat
%endif
%{_bindir}/flock
%{_bindir}/fallocate
%{_bindir}/getopt
%{_bindir}/hardlink
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/lslocks
%{_bindir}/lslogins
%{_bindir}/lsns
%{_bindir}/mcookie
%{_bindir}/utmpdump
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc} %mips %arm aarch64
%{_sbindir}/fsck.cramfs
%{_sbindir}/mkfs.cramfs
%{_mandir}/man8/fsck.cramfs.8*
%{_mandir}/man8/mkfs.cramfs.8*
%endif
%{_sbindir}/fsck.minix
%{_sbindir}/mkfs.minix
%{_bindir}/namei
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/scriptreplay
%{_bindir}/scriptlive
%{_bindir}/setarch
%{_bindir}/setsid
%{_bindir}/setterm
%ifarch %{sunsparc}
%{_bindir}/sunhostid
%endif
%{_bindir}/ul
%{_bindir}/unshare
%{_bindir}/uuidgen
%{_bindir}/whereis
%{_bindir}/ipcmk
%{_bindir}/lscpu
%{_bindir}/lsfd
%{_bindir}/chmem
%{_bindir}/fincore
%{_bindir}/lsmem
%attr(2755,root,tty)	%{_bindir}/write

%ghost %verify(not md5 size mtime) %config(noreplace,missingok) /etc/mtab

%{_sbindir}/readprofile
%ifnarch s390 s390x
%{_sbindir}/tunelp
%endif
%{_sbindir}/rtcwake
%{_sbindir}/ldattach
%{_sbindir}/resizepart
%{_sbindir}/blkzone
%{_mandir}/man8/blkzone.8*
%{_mandir}/man1/cal.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man8/chmem.8*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/eject.1*
%{_mandir}/man1/fadvise.1*
%{_mandir}/man1/flock.1*
%{_mandir}/man1/fallocate.1*
%{_mandir}/man1/fincore.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hardlink.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/lsmem.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/pipesz.1*
%{_mandir}/man1/prlimit.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/scriptreplay.1*
%{_mandir}/man1/scriptlive.1*
%{_mandir}/man1/setterm.1*
%{_mandir}/man1/su.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/uuidgen.1*
%{_mandir}/man1/unshare.1*
%{_mandir}/man1/utmpdump.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*
%{_mandir}/man1/chrt.1*
%{_mandir}/man1/ionice.1*
%{_mandir}/man1/taskset.1*
%{_mandir}/man1/renice.1*
%{_mandir}/man1/ipcrm.1*
%{_mandir}/man1/ipcs.1*
%{_mandir}/man1/setsid.1*
%{_mandir}/man1/dmesg.1*
%{_mandir}/man1/ipcmk.1*
%{_mandir}/man1/lscpu.1*
%{_mandir}/man1/lsfd.1*
%{_mandir}/man1/lslogins.1*
%{_mandir}/man1/waitpid.1*
%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/blkdiscard.8*
%{_mandir}/man8/blkid.8*
%{_mandir}/man8/blkpr.8*
%{_mandir}/man8/chcpu.8*
%{_mandir}/man8/ctrlaltdel.8*
%ifnarch s390 s390x
%{_mandir}/man8/fdformat.8*
%endif
%{_mandir}/man8/findfs.8*
%{_mandir}/man8/fsck.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/lslocks.8*
%{_mandir}/man8/lsns.8*
%{_mandir}/man8/mkfs.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/pivot_root.8*
%{_mandir}/man1/runuser.1*
%{_mandir}/man8/readprofile.8*
%{_mandir}/man8/resizepart.8*
%ifnarch s390 s390x
%{_mandir}/man8/tunelp.8*
%endif
%{_mandir}/man8/setarch.8*
%{_mandir}/man8/sulogin.8*
%{_mandir}/man8/rtcwake.8*
%{_mandir}/man8/ldattach.8*
%{_mandir}/man8/wipefs.8*
%{_mandir}/man8/wdctl.8*
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*
%attr(4755,root,root)	%{_bindir}/mount
%attr(4755,root,root)	%{_bindir}/umount
%{_sbindir}/swapon
%{_sbindir}/swapoff
%{_sbindir}/switch_root
%{_mandir}/man5/adjtime_config.5*
%{_mandir}/man5/fstab.5*
%{_mandir}/man5/scols-filter.5*
%{_mandir}/man5/terminal-colors.d.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/switch_root.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/losetup.8*
%{_sbindir}/losetup
%{_sbindir}/wipefs
%{_datadir}/bash-completion/completions/*
%{_unitdir}/fstrim.*
%exclude %{_datadir}/bash-completion/completions/uuidd

%files -n uuidd
%{_mandir}/man8/uuidd.8*
%{_unitdir}/uuidd.*
%{_tmpfilesdir}/uuidd-tmpfiles.conf
%attr(-, uuidd, uuidd) %{_sbindir}/uuidd
%dir %attr(0755, uuidd, uuidd) %{_var}/lib/libuuid
%dir %ghost %attr(2775, uuidd, uuidd) %{_rundir}/uuidd
%{_datadir}/bash-completion/completions/uuidd

%files -n python3-libmount
%{python3_sitearch}/libmount/

%files -n %{lib_blkid}
%dir /etc/blkid
%{_libdir}/libblkid.so.%{lib_blkid_major}{,.*}

%files -n %{lib_blkid_devel}
%{_libdir}/libblkid.so
%{_includedir}/blkid
%{_mandir}/man3/libblkid.3*
%{_libdir}/pkgconfig/blkid.pc

%files -n %{lib_uuid}
%{_libdir}/libuuid.so.%{lib_uuid_major}{,.*}

%files -n %{lib_uuid_devel}
%doc NEWS AUTHORS
%{_libdir}/libuuid.so
%{_includedir}/uuid/
%{_mandir}/man3/uuid.3*
%{_mandir}/man3/uuid_clear.3*
%{_mandir}/man3/uuid_compare.3*
%{_mandir}/man3/uuid_copy.3*
%{_mandir}/man3/uuid_generate.3*
%{_mandir}/man3/uuid_generate_random.3*
%{_mandir}/man3/uuid_generate_time.3*
%{_mandir}/man3/uuid_generate_time_safe.3*
%{_mandir}/man3/uuid_is_null.3*
%{_mandir}/man3/uuid_parse.3*
%{_mandir}/man3/uuid_time.3*
%{_mandir}/man3/uuid_unparse.3*
%{_libdir}/pkgconfig/uuid.pc

%files -n %{lib_mount}
%{_libdir}/libmount.so.%{lib_mount_major}{,.*}

%files -n %{lib_mount_devel}
%{_includedir}/libmount
%{_libdir}/libmount.so
%{_libdir}/pkgconfig/mount.pc

%files -n %{lib_smartcols}
%{_libdir}/libsmartcols.so.%{lib_smartcols_major}{,.*}

%files -n %{lib_smartcols_devel}
%{_includedir}/libsmartcols
%{_libdir}/libsmartcols.so
%{_libdir}/pkgconfig/smartcols.pc

%files -n %{lib_fdisk}
%{_libdir}/libfdisk.so.%{lib_fdisk_major}{,.*}

%files -n %{lib_fdisk_devel}
%{_includedir}/libfdisk
%{_libdir}/libfdisk.so
%{_libdir}/pkgconfig/fdisk.pc


%changelog
* Tue Mar 04 2025 wally <wally> 2.40.4-2.mga10
+ Revision: 2160456
- rebuild for python3.13

* Wed Jan 15 2025 daviddavid <daviddavid> 2.40.4-1.mga10
+ Revision: 2139310
- new version: 2.40.4

* Sat Jul 27 2024 wally <wally> 2.40.2-2.mga10
+ Revision: 2082666
- add conflicts for kill.1 man page

* Tue Jul 09 2024 wally <wally> 2.40.2-1.mga10
+ Revision: 2080440
- new version 2.40.2

* Tue Jul 09 2024 wally <wally> 2.40.1-5.mga10
+ Revision: 2080439
- use an upstream patch to fix segfaults with econf >= 0.7.1

* Sun Jun 16 2024 wally <wally> 2.40.1-4.mga10
+ Revision: 2074456
- update libeconf patch again to use values from libeconf documentation

* Fri Jun 14 2024 wally <wally> 2.40.1-3.mga10
+ Revision: 2073676
- update libeconf patch

* Fri Jun 14 2024 wally <wally> 2.40.1-2.mga10
+ Revision: 2073592
- fix segfaults with libeconf >= 0.7.1

* Thu Jun 13 2024 wally <wally> 2.40.1-1.mga10
+ Revision: 2073025
- new version 2.40.1

* Sat Apr 27 2024 wally <wally> 2.40-3.mga10
+ Revision: 2061357
- add an upstream patch to fix segfault when blkid.conf doesn't exist

* Fri Apr 05 2024 wally <wally> 2.40-2.mga10
+ Revision: 2054692
- basesystem rebuild for i686

* Sun Mar 31 2024 daviddavid <daviddavid> 2.40-1.mga10
+ Revision: 2053380
- new version: 2.40
- remove merged upstream previous CVE-2024-28085 patch
- use now upstream uuidd tmpfiles
- disable liblastlog2 for now
- enable translated manpages with po4a
- enable libeconf support

* Fri Mar 29 2024 ns80 <ns80> 2.39.3-2.mga10
+ Revision: 2053108
- revert to version 2.39.3 and add Ubuntu patch for CVE-2024-28085 (mga#33025)
- new version 2.40 for CVE-2024-28085 (mga#33025)
+ wally <wally>
- drop old obsoletes and conflicts

* Fri Dec 29 2023 daviddavid <daviddavid> 2.39.3-1.mga10
+ Revision: 2023548
- new version: 2.39.3

* Thu Dec 28 2023 daviddavid <daviddavid> 2.38.1-2.mga10
+ Revision: 2023251
- rebuild for py3.12

* Thu Aug 04 2022 luigiwalser <luigiwalser> 2.38.1-1.mga9
+ Revision: 1875264
- 2.38.1

* Tue Mar 29 2022 luigiwalser <luigiwalser> 2.38-1.mga9
+ Revision: 1831319
- 2.38

* Wed Feb 16 2022 luigiwalser <luigiwalser> 2.37.4-1.mga9
+ Revision: 1778321
- 2.37.4

* Mon Feb 14 2022 tmb <tmb> 2.37.3-2.mga9
+ Revision: 1774876
- rebuild for python 3.10

* Mon Jan 24 2022 tmb <tmb> 2.37.3-1.mga9
+ Revision: 1769643
- fix systemd builddeps
- drop obsolete raw support
+ luigiwalser <luigiwalser>
- 2.37.3

* Tue Aug 17 2021 tv <tv> 2.37.2-1.mga9
+ Revision: 1741774
- Upgrade to v2.37.2
- Drop merged patch

* Fri Jul 23 2021 luigiwalser <luigiwalser> 2.37.1-1.mga9
+ Revision: 1737556
- 2.37.1

* Thu Jun 17 2021 joequant <joequant> 2.37-1.mga9
+ Revision: 1731051
- add asciidoctor
- update to 2.37

* Wed Mar 24 2021 daviddavid <daviddavid> 2.36.2-2.mga9
+ Revision: 1708561
- rebuild for python 3.9

* Wed Mar 03 2021 daviddavid <daviddavid> 2.36.2-1.mga9
+ Revision: 1696991
- new version: 2.36.2
- remove merged upstream patch

* Sun Jan 03 2021 tmb <tmb> 2.36.1-5.mga8
+ Revision: 1668496
- libmount: use upstream symfollow removal from user mounts

* Thu Nov 19 2020 luigiwalser <luigiwalser> 2.36.1-4.mga8
+ Revision: 1647443
- revert upstream change that broke cifs mounts (mga#27632)

* Mon Nov 16 2020 tv <tv> 2.36.1-3.mga8
+ Revision: 1646698
- 2.36.1

* Sat Aug 22 2020 luigiwalser <luigiwalser> 2.36-3.mga8
+ Revision: 1618011
- enable fstrim.timer (mga#8701)

* Tue Jul 28 2020 ovitters <ovitters> 2.36-2.mga8
+ Revision: 1609461
- add adjtime (moved here from initscripts)

* Thu Jul 23 2020 luigiwalser <luigiwalser> 2.36-1.mga8
+ Revision: 1608602
- 2.36
- rediff patch0

* Wed May 20 2020 tmb <tmb> 2.35.2-1.mga8
+ Revision: 1586496
- update to 2.35.2
+ tv <tv>
- remove obsolete requires(pre)

* Thu Feb 20 2020 umeabot <umeabot> 2.35.1-3.mga8
+ Revision: 1546709
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 2.35.1-2.mga8
+ Revision: 1486993
- fix obsoleted hardlink (missing epoch and wrong release)

* Fri Jan 31 2020 tmb <tmb> 2.35.1-1.mga8
+ Revision: 1486054
- update to 2.35.1

* Wed Jan 22 2020 luigiwalser <luigiwalser> 2.35-1.mga8
+ Revision: 1482033
- 2.35
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 tv <tv> 2.34-2.mga8
+ Revision: 1476436
- rebuild for new readline

* Fri Jan 03 2020 luigiwalser <luigiwalser> 2.34-1.mga8
+ Revision: 1475794
- 2.34
- now provides hardlink
+ daviddavid <daviddavid>
- keep finally the ossp_uuid-devel conflict (also versioned) to ease upgrade mga7->mga8

* Sat Nov 02 2019 daviddavid <daviddavid> 2.33.2-2.mga8
+ Revision: 1457294
- switch to python3
- drop python2 support
- remove no more needed conflicts with ossp_uuid-devel

* Wed Apr 10 2019 tmb <tmb> 2.33.2-1.mga7
+ Revision: 1388194
- update to 2.33.2

* Thu Jan 10 2019 luigiwalser <luigiwalser> 2.33.1-1.mga7
+ Revision: 1354284
- 2.33.1

* Sat Nov 10 2018 tmb <tmb> 2.33-8.mga7
+ Revision: 1329426
- update to 2.33

* Mon Sep 03 2018 tv <tv> 2.32-8.mga7
+ Revision: 1256706
- fix deps: systemd -> systemd-units

* Mon Sep 03 2018 tv <tv> 2.32-7.mga7
+ Revision: 1256359
- remove unused deps on info-install

* Fri Jun 01 2018 pterjan <pterjan> 2.32-6.mga7
+ Revision: 1233506
- Fix file list on aarch64

* Fri May 11 2018 neoclust <neoclust> 2.32-5.mga7
+ Revision: 1228241
- Add conflict to ease upgrade from mageia 6

* Thu Apr 19 2018 daviddavid <daviddavid> 2.32-4.mga7
+ Revision: 1220053
- provide also rfkill
- create a symlink from /usr/sbin/rfkill to /usr/bin/rfkill

* Wed Apr 18 2018 kekepower <kekepower> 2.32-3.mga7
+ Revision: 1219994
- Really obsolete rfkill. Forgot about the epoch.

* Wed Apr 18 2018 kekepower <kekepower> 2.32-2.mga7
+ Revision: 1219977
- Obsolete rfkill-0.5-6

* Wed Apr 18 2018 kekepower <kekepower> 2.32-1.mga7
+ Revision: 1219859
- Update to version 2.32

* Sun Sep 17 2017 joequant <joequant> 2.30.1-2.mga7
+ Revision: 1155082
- BR bison
- update to 2.30

* Thu Feb 23 2017 luigiwalser <luigiwalser> 2.28.2-2.mga6
+ Revision: 1087446
- remove unused patch 11
- add upstream patch to fix CVE-2017-2616

* Wed Sep 07 2016 luigiwalser <luigiwalser> 2.28.2-1.mga6
+ Revision: 1050338
- 2.28.2

* Sun Aug 28 2016 tv <tv> 2.28.1-3.mga6
+ Revision: 1049378
- kill sparc specific patch (unsupported for a long time)
- kill commented out patches
- kill an old patch removing some links from man page
- drop long obsoleted patch for kudzu...
- drop obsolete LS-120 addition in man page
- this is a util-linux subpkg, not an e2fsprogs one
- fix license tag
- remove useless rm
- move uuid_generate_time_safe with other man pages in devel

* Sun Aug 28 2016 tv <tv> 2.28.1-2.mga6
+ Revision: 1049337
- simplify: use configure option for disabling pg support
- simplify: use configure option for disabling bfs support
- kill reference to no more existing chkdupexe
- restore scriptrelay (mga#16069)

* Thu Aug 11 2016 luigiwalser <luigiwalser> 2.28.1-1.mga6
+ Revision: 1045676
- 2.28.1
- remove upstreamed patched 50, 51, and 1222

* Tue Jul 12 2016 luigiwalser <luigiwalser> 2.28-4.mga6
+ Revision: 1041277
- add second upstream patch to complete fix for CVE-2016-5011

* Mon Jul 11 2016 luigiwalser <luigiwalser> 2.28-3.mga6
+ Revision: 1041089
- add upstream patch to fix CVE-2016-5011

* Tue Jul 05 2016 tv <tv> 2.28-2.mga6
+ Revision: 1039006
- BR pkgconfig(libudev)
- patch 1222: fdisk -l: have the same spacing when proving a dev list
- better URL
- patch 1224: cfdisk: try /dev/vda too by default
- enable udev support
- drop suppor for disabling systemd
- drop MandrivaMove patch (was unapplied in mdv days already)
- kill some very old PPC bits
- drop uclibc support (disabled for 4 years...)

* Mon May 09 2016 luigiwalser <luigiwalser> 2.28-1.mga6
+ Revision: 1011654
- 2.28
- remove patch 114 (fixed upstream)

* Sat Feb 20 2016 umeabot <umeabot> 2.27.1-2.mga6
+ Revision: 972332
- Mageia 6 Mass Rebuild

* Tue Nov 03 2015 luigiwalser <luigiwalser> 2.27.1-1.mga6
+ Revision: 897481
- 2.27.1

* Thu Oct 08 2015 blino <blino> 2.27-2.mga6
+ Revision: 887686
- add a systemd conditional build flag to ease bootstrap (systemd requires util-linux)

* Thu Oct 08 2015 blino <blino> 2.27-1.mga6
+ Revision: 887432
- fix doc file list (for rpm 4.13)
+ colin <colin>
- New version: 2.27
- Drop upstream patches
- Rediff non-applying patches
- Drop usrmove patch (now a configure switch)
- Add fdisk library

* Fri Sep 04 2015 luigiwalser <luigiwalser> 2.25.2-8.mga6
+ Revision: 872746
- add upstream patch to not call xfmkstemp in wall
- build with libuser support
- rediff upstream patch to fix CVE-2015-5224

* Fri Aug 21 2015 tmb <tmb> 2.25.2-7.mga6
+ Revision: 867054
- rebuild with new gcc

* Sat Jul 04 2015 cjw <cjw> 2.25.2-6.mga6
+ Revision: 850238
- do not package libsmartcols.la either (last such file in this package)

* Sat Jul 04 2015 trem <trem> 2.25.2-5.mga6
+ Revision: 850192
- remove libmount.la and libblkid.la
  The file libuuid.la was removed in previous commit.
  But libblkid.la and libmount.la reference this file.
  So to avoid breaking compilation, we also remove
  those files.

* Mon Jun 29 2015 cjw <cjw> 2.25.2-4.mga6
+ Revision: 847330
- do not package libuuid.la as it creates a problem for building xfsprogs

* Thu Dec 04 2014 luigiwalser <luigiwalser> 2.25.2-3.mga5
+ Revision: 801542
- ensure SUID bit for su binary

* Thu Dec 04 2014 luigiwalser <luigiwalser> 2.25.2-2.mga5
+ Revision: 801497
- add patch from fedora to fix CVE-2014-9114

* Fri Oct 24 2014 luigiwalser <luigiwalser> 2.25.2-1.mga5
+ Revision: 792958
- 2.25.2

* Wed Oct 15 2014 umeabot <umeabot> 2.25.1-6.mga5
+ Revision: 746555
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Wed Sep 24 2014 tv <tv> 2.25.1-5.mga5
+ Revision: 723111
- exclude docdir for requires

* Tue Sep 23 2014 tv <tv> 2.25.1-4.mga5
+ Revision: 722508
- rebuild (no file deps)

* Tue Sep 16 2014 umeabot <umeabot> 2.25.1-3.mga5
+ Revision: 690105
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 joequant <joequant> 2.25.1-2.mga5
+ Revision: 671642
- rebuild with new systemd libraries

* Wed Sep 03 2014 luigiwalser <luigiwalser> 2.25.1-1.mga5
+ Revision: 671609
- 2.25.1

* Wed Jul 23 2014 luigiwalser <luigiwalser> 2.25-1.mga5
+ Revision: 656123
- 2.25
- remove deprecated mount from dumboctal patch (no longer exists)
- remove cramfs fsck patch (affected code no longer present)
- add smartcols library subpackages
- BR pkgconfig(python-2.7) and add python-libmount subpackage
- sync some spec changes from fedora
- cytune command is gone
- add new lslogins command to files list
- add fstrim systemd unit files to files list

* Thu Apr 24 2014 luigiwalser <luigiwalser> 2.24.2-1.mga5
+ Revision: 617651
- 2.24.2

* Fri Feb 14 2014 luigiwalser <luigiwalser> 2.24.1-1.mga5
+ Revision: 591409
- 2.24.1
- remove upstream patches

* Fri Dec 27 2013 luigiwalser <luigiwalser> 2.24-2.mga4
+ Revision: 560958
- use nologin from upstream
- add patches from upstream via fedora to fix:
  - fdisk mishandles GPT corruption (rhbz#1022217)
  - lsblk -D segfault (rhbz#1031262)

* Wed Oct 23 2013 tmb <tmb> 2.24-1.mga4
+ Revision: 546696
- update to 2.24 final

* Tue Oct 22 2013 umeabot <umeabot> 2.24-0.rc2.2.mga4
+ Revision: 542207
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tmb <tmb> 2.24-0.rc2.1.mga4
+ Revision: 497085
- update to 2.24-rc2

* Tue Aug 20 2013 luigiwalser <luigiwalser> 2.23.2-1.mga4
+ Revision: 468588
- 2.23.2

* Tue Jul 02 2013 fwang <fwang> 2.23.1-3.mga4
+ Revision: 449618
- add requies on libuuid-devel, as urpmi will promote ossp_uuid

* Wed Jun 05 2013 colin <colin> 2.23.1-2.mga4
+ Revision: 437535
- Add conflicts with older bash-completion

* Wed Jun 05 2013 colin <colin> 2.23.1-1.mga4
+ Revision: 437520
- Add BR on libcap-ng for setpriv
- Add appropriate pamd files for runuser
- Sync pamd related files with fedora (keeping our customisations)
- Rename pam/udev files to match fedora names to avoid confusion (srpm only)
- New version 2.23.1
- Upstream dropped binaries: ddate and arch (latter now provided in coreutils)
- Upstream added binaries: nsenter, setpriv, blkdiscard and runuser
- Rediffed filesystem managed patch (not sure if still needed/desirable)
- Dropped ipc patch which is no longer needed (dropped from Fedora)

* Sun Jun 02 2013 colin <colin> 2.22.2-6.mga4
+ Revision: 435216
- Provide the 'wall' and 'mountpoint' binaries

* Thu Apr 25 2013 luigiwalser <luigiwalser> 2.22.2-5.mga3
+ Revision: 411159
- enable socket activation compile option for uuidd as the service uses it

* Sun Mar 24 2013 colin <colin> 2.22.2-4.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Wed Jan 16 2013 colin <colin> 2.22.2-3.mga3
+ Revision: 388729
- Add tmpfiles for uuidd
- Drop sysvinit script for uuidd (systemd unit included upstream)
- Cleaner install of udev rules
+ fwang <fwang>
- correct udev rules dir

* Wed Jan 09 2013 tmb <tmb> 2.22.2-2.mga3
+ Revision: 344036
- rebuild with fixed glibc-2.17-2

* Sat Jan 05 2013 tmb <tmb> 2.22.2-1.mga3
+ Revision: 339478
- drop merged patches
- update to 2.22.2

* Sat Dec 01 2012 lmenut <lmenut> 2.22.1-8.mga3
+ Revision: 324066
- Fix default paths after UsrMove
  remove /bin and /sbin

* Tue Nov 20 2012 lmenut <lmenut> 2.22.1-7.mga3
+ Revision: 319897
- Fix default paths after UsrMove
  remove /bin and /sbin

* Mon Nov 19 2012 colin <colin> 2.22.1-6.mga3
+ Revision: 319662
- Add various upstream patches from upcoming 2.22.2

* Thu Oct 18 2012 tv <tv> 2.22.1-5.mga3
+ Revision: 307973
- adjust file list
- new release

* Sun Oct 07 2012 tv <tv> 2.22-5.mga3
+ Revision: 303221
- fix conflict with older shadow-utils (missing epoch) (mga#7684)

* Fri Sep 07 2012 tv <tv> 2.22-4.mga3
+ Revision: 289340
- final release

* Sun Sep 02 2012 tv <tv> 2.22-0.rc2.4.mga3
+ Revision: 287382
- conflicts with older sysvinit-legacy-tools

* Sun Sep 02 2012 tv <tv> 2.22-0.rc2.3.mga3
+ Revision: 287121
- adjust file list
- fix a path
- disable uclibc build
- new release
- drop %%upstream_version macro and do use %%tarname macro
- drop very old obsoletes/provides tags for setarch
- drop very old obsolete/provides tags
- fix source URL
- s/util-linux-ng/util-linux/

* Tue Jul 31 2012 tv <tv> 2.21.2-3.mga3
+ Revision: 276804
- fix upgrade (file conflict)

* Sat Jul 21 2012 colin <colin> 2.21.2-2.mga3
+ Revision: 273158
- Update for usrmove

* Sun Jun 03 2012 tv <tv> 2.21.2-1.mga3
+ Revision: 253640
- new release

* Sun Apr 08 2012 tmb <tmb> 2.21.1-1.mga2
+ Revision: 229608
- update to 2.21.1 (bugfix release)

* Tue Feb 28 2012 colin <colin> 2.21-3.mga2
+ Revision: 215762
- Fix parsing of PATH from login.defs (mga#4723)

* Mon Feb 27 2012 dmorgan <dmorgan> 2.21-2.mga2
+ Revision: 215548
- Uploaded to fix BS

* Mon Feb 27 2012 tv <tv> 2.21-1.mga2
+ Revision: 215497
- drop 5 years old obsolete/provide tags
- further adjust file list
- adjust file list
- new release
- fix URL
- rediff patches 1, 5, 8, 1202
- drop patch 6 (merged), 70 (useless)

* Wed Jan 25 2012 tv <tv> 2.20.1-2.mga2
+ Revision: 200802
- no big doc in main package

* Sun Oct 23 2011 dmorgan <dmorgan> 2.20.1-1.mga2
+ Revision: 157521
- Remove static libs
- Link /etc/mtab to /proc/mount
- New version 2.20.1
  Rediff patches 3, 8, 115, 1212
  enable ddate
  disable mountpoints

* Sat Jul 16 2011 eugeni <eugeni> 2.19.1-1.mga2
+ Revision: 124807
- imported package util-linux


* Sat Jul 16 2011 eugeni <eugeni> 2.19-1.mga2
- Imported util-linux 2.19.1 with base on util-linux-ng spec.
- Disabled loopAES for now.

* Fri Jan 07 2011 tmb <tmb> 2.18-4.mga1
+ Revision: 285
- imported package util-linux-ng

* Fri Jan 07 2011 Thomas Backlund <tmb@mageia.org 2.18-4.mga1
- initial import
- drop rpm tags
- rename Mandriva to Mageia

* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 2.18-3mdv2011.0
+ Revision: 627160
- add conflicts on ossp_uuid

* Mon Nov 29 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 2.18-2mdv2011.0
+ Revision: 603118
- P20: agetty -s/-c support with fixes (GIT)
  P21: fsck -l support with whole disk locking fix (GIT)

* Sun Sep 05 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.18-1mdv2011.0
+ Revision: 576013
- update to new version 2.18
- drop patches 15, 20 and 1220 as they were fixed by upstream
- update patch 1100
- rediff patch 1300
- package libmount
- protect majors everywhere
- compile with Os flag
- spec file clean

* Wed Jun 09 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.17.1-5mdv2010.1
+ Revision: 547295
- Apply "libblkid: fix infinite loop when probe chain bails out early"
  from upstream git, fixes mkinitrd hangs in nash for some users
  (#58697).

* Wed Mar 31 2010 Frederic Crozat <fcrozat@mandriva.com> 2.17.1-4mdv2010.1
+ Revision: 530431
- Replace file-dependencies with package dependencies

* Mon Mar 22 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.17.1-3mdv2010.1
+ Revision: 526669
- Requiring both ncurses-devel and ncursesw-devel.
- cfdisk requires libncursesw to work properly in utf-8 environments (#58277)

* Mon Mar 15 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.17.1-2mdv2010.1
+ Revision: 519122
- libblkid: reset BLKID_TINY_DEV flag in blkid_probe_set_device
  (from Pascal Terjan). For example, fixes devices not detected
  anymore by nash-resolveDevice on some systems.

* Wed Feb 24 2010 Thomas Backlund <tmb@mandriva.org> 2.17.1-1mdv2010.1
+ Revision: 510759
- update to 2.17.1
- drop P12 (drbd crash fix, merged upstream)
- rediff P1100 (loop-AES support)

* Thu Feb 11 2010 Pascal Terjan <pterjan@mandriva.org> 2.17-2mdv2010.1
+ Revision: 504375
- Upstream patch fixing a crash in libblkid (#57325)

* Mon Jan 25 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.17-1mdv2010.1
+ Revision: 496133
- Update to 2.17.
  Drop P10 (no longer used and dropped upstream).

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add uclibc static library to %%files conditionally
    - build uclibc linked static libraries

* Tue Dec 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.16.2-1mdv2010.1
+ Revision: 472224
- Updated to 2.16.2.
  Rediff loopAES patch.
  Drop P12,P13,P14,P15 (merged upstream).

* Wed Oct 14 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2010.0
+ Revision: 457358
- Patch12 (GIT): RH bug 522718 - sfdisk -d /dev/xxx | sfdisk --force /dev/yyy fails when LANG is set
- Patch13 (GIT): Swsuspend does not work
- Patch14 (GIT): Do not search for hardware clock when using systz
- Patch15 (GIT): Set kernel timezone when using systz utc (for FAT timestamp)

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 2.16.1-2mdv2010.0
+ Revision: 450402
- fix filelist for mips & arm (from Arnaud Patard)

* Fri Sep 11 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-1mdv2010.0
+ Revision: 438495
- Release 2.16.1
- Regenerate loopAES patch

* Tue Sep 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16-5mdv2010.0
+ Revision: 433546
- Remove hard dependency on consolekit
- Hide pam_console errors on login

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 2.16-4mdv2010.0
+ Revision: 417587
- add requires on libuuid to devel package

* Tue Aug 04 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16-3mdv2010.0
+ Revision: 408677
- Add missing Conflicts to ease upgrade

* Mon Aug 03 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.16-1mdv2010.0
+ Revision: 408563
- Fixed group.
- Using right macros for libuuid.
- Updated to 2.16.
  Added support for libuuid.

* Wed Jun 17 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2010.0
+ Revision: 386601
- Release 2.15.1 final
- Remove patch50, merged upstream
- Regenerate patch1100

* Thu Jun 11 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-0.rc1.3mdv2010.0
+ Revision: 385125
- Patch11 (Fedora): ensure blkid cache is in /etc/blkid/blkid.tab
- Enforce dependency from main package on lib package

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-0.rc1.2mdv2010.0
+ Revision: 384220
- Fix devel package name
- Non-bootstrap build, enable back uuid support (buildrequires e2fsprogs-devel)

* Mon Jun 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-0.rc1.1mdv2010.0
+ Revision: 384049
- Release 2.15.1-rc1
- Enable libblkid support (needed for latest HAL, udev..)
- add bootstrap support (circle build deps between util-linux-ng and e2fsprogs)

* Fri May 29 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.15-1mdv2010.0
+ Revision: 381112
- Updated to 2.15.
  Updated to latest loop-aes patch.
  Rediffed patches.

* Tue Mar 17 2009 Michael Scherer <misc@mandriva.org> 2.14.1-7mdv2009.1
+ Revision: 356302
- fix crash reported by ofaurax , on the feature activated by last commit

* Mon Mar 16 2009 Michael Scherer <misc@mandriva.org> 2.14.1-6mdv2009.1
+ Revision: 355895
- fix #48224, by activating cramfs checking and extraction

* Tue Jan 13 2009 Oden Eriksson <oeriksson@mandriva.com> 2.14.1-5mdv2009.1
+ Revision: 329055
- rediffed patches

* Fri Oct 17 2008 Pascal Terjan <pterjan@mandriva.org> 2.14.1-4mdv2009.1
+ Revision: 294725
- Rediff Patch1300 better (#44530, #44112)
- Drop patch1215 applied upstream and applying at the wrong place (breaking fdisk on files)

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-3mdv2009.0
+ Revision: 290068
- Move ionice to /bin (needed for readahead_early)

* Tue Sep 16 2008 Olivier Blin <oblin@mandriva.com> 2.14.1-2mdv2009.0
+ Revision: 285257
- fix typo in french translation (#42783)

* Tue Sep 16 2008 Olivier Blin <oblin@mandriva.com> 2.14.1-1mdv2009.0
+ Revision: 285227
- adapt to new fdformat path (now in /usr/sbin)
- package ldattach
- sync last patch from Fedora (mount in selinux context, mostly unused)
- rediff losetup change fd patch
- drop mkswap-uuid-option patch (merged upstream)
- rediff users (in mtab) patch (because of pamconsole drop)
- rediff set-as-encrypted patch (because of pamconsole drop)
- rediff loop-AES patch (painfully, based on loop-AES patch update for 2.14)
- remove mount-twiceloop and swapon-swsuspend patches (merged)
- revert umount-autoclear patch for easier rediff of loop-AES patch
- use updated blockdev-rmpart patch from Fedora
- drop deprecated mount-pamconsole patch
- use updated mount-managed patch from Fedora
- 2.14.1
- update url

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Funda Wang <fwang@mandriva.org> 2.13.1-7mdv2009.0
+ Revision: 214610
- fix conflicts with new shadow-utils

* Sun May 18 2008 Vincent Danen <vdanen@mandriva.com> 2.13.1-6mdv2009.0
+ Revision: 208801
- don't package vipw or vigr, they belong in shadow-utils now for tcb support

* Wed Mar 05 2008 Andreas Hasenack <andreas@mandriva.com> 2.13.1-5mdv2008.1
+ Revision: 180034
- move system-auth to the bottom of the session section
  in the pam config files, or else a "sufficient" module
  in the included file could prevent other modules *after*
  the include statement from being called (#37801)

* Thu Feb 21 2008 Olivier Blin <oblin@mandriva.com> 2.13.1-4mdv2008.1
+ Revision: 173573
- use upstream version of the -U <uuid> patch for mkswap
- add -U <uuid> option in mkswap

* Wed Jan 16 2008 Olivier Blin <oblin@mandriva.com> 2.13.1-3mdv2008.1
+ Revision: 153751
- include i386/linux32/linux64 man pages (from Fedora spec)
- rediff loop-AES patch
- remove patches applied upstream
- 2.13.1
- restore BuildRoot

* Thu Dec 27 2007 Pascal Terjan <pterjan@mandriva.org> 2.13.0.1-3mdv2008.1
+ Revision: 138377
- Add back minix utilities, they are useful

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix name in description

* Thu Nov 22 2007 Olivier Blin <oblin@mandriva.com> 2.13.0.1-2mdv2008.1
+ Revision: 111273
- fix smb mount if path exists locally (#35084, thanks to Pascal Terjan)

  + Funda Wang <fwang@mandriva.org>
    - correct URL

* Mon Oct 22 2007 Thierry Vignaud <tv@mandriva.org> 2.13.0.1-1mdv2008.1
+ Revision: 101288
- new security release
- s/Mandrake/Mandriva/

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 2.13-3mdv2008.0
+ Revision: 79316
- fix removal of non handled mount options (#33081)

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 2.13-2mdv2008.0
+ Revision: 79272
- build with -fno-ivopts to workaround a gcc optimization bug that breaks fs detection (#33047)
- fix build with -O0

* Tue Aug 28 2007 Olivier Blin <oblin@mandriva.com> 2.13-1mdv2008.0
+ Revision: 72604
- 2.13
- rediff loop-AES patch

* Sat Aug 25 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.rc3.20070821git.2mdv2008.0
+ Revision: 71289
- fix obsoleted versions

* Sat Aug 25 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.rc3.20070821git.1mdv2008.0
+ Revision: 71246
- drop obsolete rdev commands
- rediff losetup change-fd patch
- rediff set-as-encrypted patch
- rediff loop-AES patch from Debian port to util-linux-ng
- merge mount/losetup/util-linux into util-linux-ng
- remove deprecated commands and man pages (fsck.minix, mkfs.minix, mkfs.bfs, scriptreplay)
- add rtcwake files
- package setarch files and provides/obsoletes setarch/linux32/sparc32
- sync man page sections
- move raw back in /bin (and not in / like Fedora :-p)
- explicitely enable arch build
- remove cd-extra detection patch, this has to be in blkid or vol_id
- remove nfs(5) nolock patch, man page is now in nfs-utils-clients and contains nolock doc
- util-linux-ng-2.13-rc3 (git 20070821 snapshot)
- sync Fedora patches
- drop patches merged upstream
- moving util-linux as util-linux-ng

* Sat Aug 11 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.6mdv2008.0
+ Revision: 61964
- fix uuid support in mkswap (upstream patch from util-linux-ng)

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.5mdv2008.0
+ Revision: 61562
- rediff loop-AES related patches (#32263)
- disable losetup -a and -r patches (already in loop-AES patch)
- drop gzloop patch (we don't have kernel support anymore)
- restore dropped crypto patches
- add support of relatime option in mount

  + Thierry Vignaud <tv@mandriva.org>
    - enable audit support

  + Christiaan Welvaart <spturtle@mandriva.org>
    - fix install of clock-ppc, shouldn't depend on build dir name

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.3mdv2008.0
+ Revision: 58161
- obsolete and provide schedutils (merged in 2.13-pre1)

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.2mdv2008.0
+ Revision: 57981
- buildrequires e2fsprogs-devel
- buildrequire gettext-devel
- pray and upload (Titi approved)
- add pam config file for remote login
- remove manual pivot_root installation, it's handled by autotools
- use a configure option to disable wall
- add some (59!) patches from Fedora (quickly reviewed, but if it's good for them, it's good for us)
- remove loop-AES, gzloop and most other crypto patches (not really working/used according to Pixel)
- replace CVE-2007-0822 with Fedora's version
- replace our cal width patch with Fedora's version
- add partx/addpart/delpart doc (from Fedora)
- replace our execl patch with Fedora's version
- replace our utmp fixes with Fedora's timeval patch
- sync pam files with Fedora
- remove large file patch, useless since we now build with _FILE_OFFSET_BITS=64
- remove custom mkcramfs build and drop mkcramfs binary (use mkfs.cramfs instead)
- use procpartitions patch from Fedora
- remove s390 patches
- merge kudzu and managed patch (like Fedora)
- remove separated cramfs1.1 (already in upstream package)
- add cramfs fixes from Fedora package
- remove gecossize patch (RH dropped it 3 years ago)
- remove unapplied patches from spec
- remove build fixes patch, O_LARGEFILE is defined in bits/fcntl.h
- remove swapon/swapoff label patch (handled upstream as of 2.12n)
- use Fedora patch for swapon symlink check (which is correctly located in is_in_proc_swaps() function)
- remove patches checking /proc/swaps for swapon/swapoff, already implemented upstream as of 2.11s
- update loop-AES patch, rediff it, and renumber it
- add taskset, chrt and ionice
- move addpart/delpart/partx in /sbin (from Fedora)
- do not install wall and scriptreplay
- update doc files list
- merge raw stuff with Fedora
- remove nfs man pages
- elvtune has been removed upstream
- sln has been removed upstream
- setfdprm has been removed upstream
- add back arch command (from Fedora)
- rebuild autotools stuff and add patch to fix MKINSTALLDIRS (from Fedora)
- enable login-utils, kill, write, and rdev
- use prefix trick from Fedora to avoid installing in /usr/usr
- install getopt/getopt-*.{bash,tcsh} as doc files (like Fedora)
- remove kbdrate (to be moved in a new kbd package)
- rescuept has been removed (this will break diskdrake's "rescue partition table" feature)
- adapt partx build to autotools
- remove merged linux/compiler.h hacks
- rework cdextra patch to use autotools
- add ocfs2 patch (from Fedora)
- add mount sloppy patch for external mount.nfs(4) calls (from Fedora)
- use new uhelper patch from Fedora
- remove fortify fixes, since NFS code has been dropped
- sync NFS patches with Fedora to use nfs-utils commands in mount/unmount
- drop user label umount patch, implemented upstream
- drop mount 2gb patch, we now define _FILE_OFFSET_BITS=64 by default
- drop llseek syscall patch, plain lseek() is now used
- drop more termcap patch (use ncurses only, like Fedora)
- remove HAVE_PIVOT_ROOT define, this is done by configure
- move cflags in make_cflags macro (and define _FILE_OFFSET_BITS=64)
- replace nonroot patch with configure and preprocessor options (like Fedora)
- replace "no chkdupexe" patch by rm commands (like Fedora)
- remove mdk conf patch, util-linux now uses autotools
- 2.13-pre7
- make fdisk reread partition table on block devices only (from pterjan)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update source1 : call ConsoleKit pam module and add a dependency on it

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 2.12r-15mdv2008.0
+ Revision: 45105
- using serverbuild macro (-fstack-protector-all)

* Tue Jun 19 2007 Olivier Blin <oblin@mandriva.com> 2.12r-14mdv2008.0
+ Revision: 41419
- rebuild for new slang

* Wed May 09 2007 Olivier Blin <oblin@mandriva.com> 2.12r-13mdv2008.0
+ Revision: 25684
- do not include asm/kbio.h (from Per Oyvind Karlsen, #30624)
- use bunzipped patches (fix wrong srpm2svn.sh import)
- include sfdisk and cfdisk on sparc too (from Per Oyvind Karlsen, #30623)

